Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatJoinRequest

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatJoinRequest

Enclosing class:
  TdApi

public static final class TdApi.ChatJoinRequest extends TdApi.Object
Describes a user that sent a join request and waits for administrator approval.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`bio`
A short bio of the user.
`static final int`
`CONSTRUCTOR`
`int`
`date`
Point in time (Unix timestamp) when the user sent the join request.
`long`
`userId`
User identifier.

## Constructor Summary

Constructors
Constructor
Description
`ChatJoinRequest()`
Describes a user that sent a join request and waits for administrator approval.
`ChatJoinRequest(long userId, int date, String bio)`
Describes a user that sent a join request and waits for administrator approval.
`ChatJoinRequest(DataInput input)`
Describes a user that sent a join request and waits for administrator approval.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userId

public long userId
User identifier.

### date

public int date
Point in time (Unix timestamp) when the user sent the join request.

### bio

public String bio
A short bio of the user.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatJoinRequest

public ChatJoinRequest()
Describes a user that sent a join request and waits for administrator approval.

### ChatJoinRequest

public ChatJoinRequest(long userId, int date, String bio)
Describes a user that sent a join request and waits for administrator approval.

Parameters:
  `userId` - long User identifier.
  `date` - int Point in time (Unix timestamp) when the user sent the join request.
  `bio` - String A short bio of the user.

### ChatJoinRequest

public ChatJoinRequest(DataInput input) throws IOException
Describes a user that sent a join request and waits for administrator approval.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`